'Plugin [Tomcat] is required by plugins [[JBossESB]]' for JON SOA-P plugin

Solution Verified - Updated -

Issue

  • Receive error when starting agent:
    RHQ 3.0.0.GA [8fb6059] (Wed Jul 28 15:17:44 EDT 2010)
    Failed to start the agent
    java.lang.RuntimeException: Cannot initialize the plugin container
            at org.rhq.core.pc.plugin.PluginManager.initialize(PluginManager.java:173)
            at org.rhq.core.pc.PluginContainer.startContainerService(PluginContainer.java:372)
            at org.rhq.core.pc.PluginContainer.initialize(PluginContainer.java:245)
            at org.rhq.enterprise.agent.AgentMain.startPluginContainer(AgentMain.java:1748)
            at org.rhq.enterprise.agent.AgentMain.start(AgentMain.java:643)
            at org.rhq.enterprise.agent.AgentMain.main(AgentMain.java:413)
    Caused
    by: java.lang.IllegalArgumentException: Plugin [Tomcat] is required by
    plugins [[JBossESB]] but it does not exist in the dependency graph yet
            at org.rhq.core.clientapi.agent.metadata.PluginDependencyGraph.getDeepDependencies(PluginDependencyGraph.java:329)
            at org.rhq.core.clientapi.agent.metadata.PluginDependencyGraph.getDeepDependencies(PluginDependencyGraph.java:342)
            at org.rhq.core.clientapi.agent.metadata.PluginDependencyGraph.getDeploymentOrder(PluginDependencyGraph.java:245)
            at org.rhq.core.pc.plugin.PluginManager.initialize(PluginManager.java:148)
    

Environment

  • JBoss Operations Network (JON) 2.4.0

  • SOA Plugin Pack for JBoss ON 2.4.0

Subscriber exclusive content

A Red Hat subscription provides unlimited access to our knowledgebase of over 48,000 articles and solutions.

Current Customers and Partners

Log in for full access

Log In